Get a list of Community Action Templates
GET /api
Query Parameters
skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — List of Community Action Templates.
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectAuthorstringDescriptionstringHistoryUrlstringIdstringLinksobjectNamestringPackagesarray of objectParametersarray of objectPropertiesobjectTypestringVersionintegerWebsitestring
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Author": "string",
"Description": "string",
"HistoryUrl": "string",
"Id": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Packages": [
{}
],
"Parameters": [
{}
],
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"Type": "string",
"Version": 0,
"Website": "string"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Get a Community Action Template by ID
GET /api
Path Parameters
idstring (required)
ID of the CommunityActionTemplate to load.
Response
200 — The requested Community Action Template.
AuthorstringDescriptionstringHistoryUrlstringIdstringLinksobjectNamestringPackagesarray of objectAcquisitionLocationstring
The package-acquisition location. One of PackageAcquisitionLocationResource or a variable-expression.FeedIdstring
Feed ID, name or a variable-expression.IdstringNamestring
A name for the package-reference. This may be empty. This is used to discriminate the package-references. Package ID isn’t suitable because an action may potentially have multiple references to the same package ID (e.g. if you wanted to use different versions of the same package). Also, the package ID may be a variable-expression.PackageIdstring
Package ID or a variable-expression.PropertiesobjectStepPackageInputsReferenceIdstring
This reference identifier is populated when a step package step contains a package reference It allows us to correlate the reference within the step package inputs to this Server package reference.Versionstring
Specific version to use for this package. If not specified, package can be selected at release creation or runbook run time.
Parametersarray of objectDefaultValueobjectDisplaySettingsobjectHelpTextstringIdstringLabelstringNamestring
PropertiesobjectTypestringVersionintegerWebsitestring
Example Response
{
"Author": "string",
"Description": "string",
"HistoryUrl": "string",
"Id": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Packages": [
{
"AcquisitionLocation": "string",
"FeedId": "string",
"Id": "string",
"Name": "string",
"PackageId": "string",
"Properties": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"StepPackageInputsReferenceId": "string",
"Version": "string"
}
],
"Parameters": [
{
"DefaultValue": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"DisplaySettings": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
}
],
"Properties": {
"additionalProp1": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp2": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp3": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
}
},
"Type": "string",
"Version": 0,
"Website": "string"
}Get installed version of the template
GET /api
Also reachable at /api.
Path Parameters
actiontemplatespaceIdstring (required)
Then ID of the space where the Action Template can be located.idstring (required)
The ID of the Community Action Template.
Response
200 — The installed version of the template.
ActionTypestring
Minimum length 1.CommunityActionTemplateIdstringDescriptionstringGitDependenciesarray of objectDefaultBranchstring
Minimum length 1.FilePathFiltersarray of stringGitCredentialIdstringGitCredentialTypestring
Minimum length 1.GitHubConnectionIdstringNamestringRepositoryUristring
Minimum length 1.StepPackageInputsReferenceIdstring
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Minimum length 1.Packagesarray of objectAcquisitionLocationstring
The package-acquisition location. One of PackageAcquisitionLocationResource or a variable-expression.FeedIdstring
Feed ID, name or a variable-expression.IdstringNamestring
A name for the package-reference. This may be empty. This is used to discriminate the package-references. Package ID isn’t suitable because an action may potentially have multiple references to the same package ID (e.g. if you wanted to use different versions of the same package). Also, the package ID may be a variable-expression.PackageIdstring
Package ID or a variable-expression.PropertiesobjectStepPackageInputsReferenceIdstring
This reference identifier is populated when a step package step contains a package reference It allows us to correlate the reference within the step package inputs to this Server package reference.Versionstring
Specific version to use for this package. If not specified, package can be selected at release creation or runbook run time.
Parametersarray of objectDefaultValueobjectDisplaySettingsobjectHelpTextstringIdstringLabelstringNamestring
PropertiesobjectSpaceIdstringVersioninteger
Example Response
{
"ActionType": "string",
"CommunityActionTemplateId": "string",
"Description": "string",
"GitDependencies": [
{
"DefaultBranch": "string",
"FilePathFilters": [
"string"
],
"GitCredentialId": "string",
"GitCredentialType": "string",
"GitHubConnectionId": "string",
"Name": "string",
"RepositoryUri": "string",
"StepPackageInputsReferenceId": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Packages": [
{
"AcquisitionLocation": "string",
"FeedId": "string",
"Id": "string",
"Name": "string",
"PackageId": "string",
"Properties": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"StepPackageInputsReferenceId": "string",
"Version": "string"
}
],
"Parameters": [
{
"DefaultValue": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"DisplaySettings": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
}
],
"Properties": {
"additionalProp1": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp2": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp3": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
}
},
"SpaceId": "string",
"Version": 0
}Install community step template
POST /api
Also reachable at /api.
Path Parameters
actiontemplatespaceIdstring (required)
The ID of the Space where the action template should be installed.idstring (required)
The ID of the community action template.
Response
201 — Created
ActionTypestring
Minimum length 1.CommunityActionTemplateIdstringDescriptionstringGitDependenciesarray of objectDefaultBranchstring
Minimum length 1.FilePathFiltersarray of stringGitCredentialIdstringGitCredentialTypestring
Minimum length 1.GitHubConnectionIdstringNamestringRepositoryUristring
Minimum length 1.StepPackageInputsReferenceIdstring
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Minimum length 1.Packagesarray of objectAcquisitionLocationstring
The package-acquisition location. One of PackageAcquisitionLocationResource or a variable-expression.FeedIdstring
Feed ID, name or a variable-expression.IdstringNamestring
A name for the package-reference. This may be empty. This is used to discriminate the package-references. Package ID isn’t suitable because an action may potentially have multiple references to the same package ID (e.g. if you wanted to use different versions of the same package). Also, the package ID may be a variable-expression.PackageIdstring
Package ID or a variable-expression.PropertiesobjectStepPackageInputsReferenceIdstring
This reference identifier is populated when a step package step contains a package reference It allows us to correlate the reference within the step package inputs to this Server package reference.Versionstring
Specific version to use for this package. If not specified, package can be selected at release creation or runbook run time.
Parametersarray of objectDefaultValueobjectDisplaySettingsobjectHelpTextstringIdstringLabelstringNamestring
PropertiesobjectSpaceIdstringVersioninteger
Example Response
{
"ActionType": "string",
"CommunityActionTemplateId": "string",
"Description": "string",
"GitDependencies": [
{
"DefaultBranch": "string",
"FilePathFilters": [
"string"
],
"GitCredentialId": "string",
"GitCredentialType": "string",
"GitHubConnectionId": "string",
"Name": "string",
"RepositoryUri": "string",
"StepPackageInputsReferenceId": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Packages": [
{
"AcquisitionLocation": "string",
"FeedId": "string",
"Id": "string",
"Name": "string",
"PackageId": "string",
"Properties": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"StepPackageInputsReferenceId": "string",
"Version": "string"
}
],
"Parameters": [
{
"DefaultValue": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"DisplaySettings": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
}
],
"Properties": {
"additionalProp1": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp2": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp3": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
}
},
"SpaceId": "string",
"Version": 0
}Update installed community step template to the latest version
PUT /api
Also reachable at /api.
Path Parameters
actiontemplatespaceIdstring (required)
The ID of the Space where the action template should be installed.idstring (required)
The ID of the community action template.
Response
200 — The updated Action Template.
ActionTypestring
Minimum length 1.CommunityActionTemplateIdstringDescriptionstringGitDependenciesarray of objectDefaultBranchstring
Minimum length 1.FilePathFiltersarray of stringGitCredentialIdstringGitCredentialTypestring
Minimum length 1.GitHubConnectionIdstringNamestringRepositoryUristring
Minimum length 1.StepPackageInputsReferenceIdstring
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Minimum length 1.Packagesarray of objectAcquisitionLocationstring
The package-acquisition location. One of PackageAcquisitionLocationResource or a variable-expression.FeedIdstring
Feed ID, name or a variable-expression.IdstringNamestring
A name for the package-reference. This may be empty. This is used to discriminate the package-references. Package ID isn’t suitable because an action may potentially have multiple references to the same package ID (e.g. if you wanted to use different versions of the same package). Also, the package ID may be a variable-expression.PackageIdstring
Package ID or a variable-expression.PropertiesobjectStepPackageInputsReferenceIdstring
This reference identifier is populated when a step package step contains a package reference It allows us to correlate the reference within the step package inputs to this Server package reference.Versionstring
Specific version to use for this package. If not specified, package can be selected at release creation or runbook run time.
Parametersarray of objectDefaultValueobjectDisplaySettingsobjectHelpTextstringIdstringLabelstringNamestring
PropertiesobjectSpaceIdstringVersioninteger
Example Response
{
"ActionType": "string",
"CommunityActionTemplateId": "string",
"Description": "string",
"GitDependencies": [
{
"DefaultBranch": "string",
"FilePathFilters": [
"string"
],
"GitCredentialId": "string",
"GitCredentialType": "string",
"GitHubConnectionId": "string",
"Name": "string",
"RepositoryUri": "string",
"StepPackageInputsReferenceId": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Packages": [
{
"AcquisitionLocation": "string",
"FeedId": "string",
"Id": "string",
"Name": "string",
"PackageId": "string",
"Properties": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"StepPackageInputsReferenceId": "string",
"Version": "string"
}
],
"Parameters": [
{
"DefaultValue": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"DisplaySettings": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
}
],
"Properties": {
"additionalProp1": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp2": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp3": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
}
},
"SpaceId": "string",
"Version": 0
}Get the logo associated with the community step template
GET /api
Path Parameters
idstring (required)
The ID of the community action template.
Response
200 — Success
Example Response
"string"